import { FireEnjinSubmitEvent } from "@fireenjin/sdk";
import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
export declare class AppTrigger implements ComponentInterface {
  filterBarEl: any;
  paginationEl: any;
  eventIconMap: {
    alert: string;
    notion: string;
  };
  fireenjinSubmit: EventEmitter<FireEnjinSubmitEvent>;
  query: string;
  filters: any;
  onSearchInput(event: any): void;
  componentDidLoad(): void;
  render(): any[];
}
